import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/sing_active/activerecord/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/sing_active/activerecord/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/sing_active/activerecord/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/sing_active/activerecord/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/sing_active/activerecord/submit',
    method: 'post',
    data: row
  })
}

export const refreshActiveProductCache = (activeId) => {
  return request({
    url: '/api/app/active/product/refreshActiveProductCache',
    method: 'post',
    params: {
      activeId
    }
  })
}

